package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpMaterialInquiryPageVO {
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;
   @ApiModelProperty("货品招标标题")
   private String materialInquiryTitle;
   @ApiModelProperty("报价开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String linkPhone;
   @ApiModelProperty("已发起意向中标价状态（1已发起,2未发起）")
   private String targetPriceStatus;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public String getMaterialInquiryTitle() {
      return this.materialInquiryTitle;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getLinkPhone() {
      return this.linkPhone;
   }

   public String getTargetPriceStatus() {
      return this.targetPriceStatus;
   }

   public String getRemark() {
      return this.remark;
   }

   public DrpMaterialInquiryPageVO setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
      return this;
   }

   public DrpMaterialInquiryPageVO setMaterialInquiryTitle(final String materialInquiryTitle) {
      this.materialInquiryTitle = materialInquiryTitle;
      return this;
   }

   public DrpMaterialInquiryPageVO setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public DrpMaterialInquiryPageVO setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
      return this;
   }

   public DrpMaterialInquiryPageVO setLinkPhone(final String linkPhone) {
      this.linkPhone = linkPhone;
      return this;
   }

   public DrpMaterialInquiryPageVO setTargetPriceStatus(final String targetPriceStatus) {
      this.targetPriceStatus = targetPriceStatus;
      return this;
   }

   public DrpMaterialInquiryPageVO setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpMaterialInquiryPageVO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpMaterialInquiryPageVO setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpMaterialInquiryPageVO setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpMaterialInquiryPageVO setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
